#ifndef __UCDCAT_H__

#define __UCDCAT_H__

typedef struct _Dir
{
	char			*name;
	_Dir			*next;
	_Dir			*prev;
}Dir;

enum	charDataEnum{ no= 0, comment, mp3Comment };
typedef struct _uCdCat
{
	Dir			*directory;
	char			*currentDirectory;
	int			dirLen;
	Dir			*rootDirectory;
	char			*media;
	unsigned int		mediaNumber;
	char			*mediaType;
	char			*user;
	gzFile			XML;
	FILE			*tmp;
	charDataEnum		charData;
}uCdCat;

enum	parsingOKEnum{ OK, parseError, otherError };
enum	parserTask{ list, copyout };

#endif
